
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在ECS中访问各类阿里云云资源的正确姿势 / iVAN</title>

    <meta name="description" content="在ECS中访问各类阿里云云资源的正确姿势 我们经常会有需要在阿里云的ECS中访问各类OSS资源,以存取在ECS中需要使用到的各种文件. 通常,我们的做法是: 把阿里云账号的Access Key ID及Access Key Secret(以下简称AK)设置在ECS中,通过这个AK来调用OSS的OPENAPI以达到从OSS中存取各类文件的目的.   但是,这种做法当前存在下列问题: 1)      直接存储在ECS中的AK可能会因为各种原因出现泄漏的情况 2)      AK的权限较大,无法更细致的限制当前ECS的具体权限,比如只允许当前的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在ECS中访问各类阿里云云资源的正确姿势</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们经常会有需要在阿里云的ECS中访问各类OSS资源，以存取在ECS中需要使用到的各种文件。</p>
<p>通常，我们的做法是：</p>
<p>把阿里云账号的Access Key ID及Access Key Secret（以下简称AK）设置在ECS中，通过这个AK来调用OSS的OPENAPI以达到从OSS中存取各类文件的目的。</p>
<p> </p>
<p>但是，这种做法当前存在下列问题：</p>
<p>1)     <br />
直接存储在ECS中的AK可能会因为各种原因出现泄漏的情况</p>
<p>2)     <br />
AK的权限较大，无法更细致的限制当前ECS的具体权限，比如只允许当前的ECS以只读的方式访问某个Bucket</p>
<p>3)     <br />
假设AK因为某些原因需要变更，那么您需要逐个实例手动进行修改</p>
<p> </p>
<p>为解决上述问题，阿里云ECS推出了“ECS实例RAM角色”功能，使用该功能您可以安全快捷的在阿里云ECS中访问各类阿里云的云资源：</p>
<p>1)     <br />
ECS实例RAM角色所提供的临时安全token（STS Token）可让您方便的访问已授权的云资源</p>
<p>2)     <br />
STS Token会每六小时内刷新一次，大大的降低泄露所带来的风险</p>
<p>3)      STS Token所拥有的权限完全受您控制，您可以随时进行权限的更改/维护</p>
<p> </p>
<p>“ECS实例RAM角色”适用于下述各类场景：</p>
<p>1)     <br />
需要在当前ECS实例中读写指定OSS资源的</p>
<p>2)     <br />
需要在当前ECS中获取账户下ECS资源的各种信息的，如：获取账号下其他ECS资源的外网IP信息</p>
<p>3)     <br />
需要在当前ECS中自定义运维策略的：如定时开启/关闭指定的ECS实例</p>
<p>4)     <br />
需要在当前ECS中获取RDS资源相关信息的</p>
<p>5)     <br />
其他各类需要在ECS中完成的对各类阿里云资源的相关操作</p>
<p> </p>
<p>下面以“在ECS中只读访问所有OSS资源”为例，说明ECS实例RAM角色具体的使用步骤：</p>
<p>1)     <br />
登录阿里云访问控制控制台，进入角色管理，点击“新建角色“</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2UyY2FjZTE4NGVhZmE0NGMyMzZmNWNjMWU5MWQ5OGQ2Njk1M2QwZWIucG5n.jpg"></p>
<p>2)     <br />
选择“服务角色”-&gt;“ECS云服务器”</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2JjZWVlODM1YThhYTU0OTEwNzI3YzczNzdiOWQzMWY3OWUwYzgwYTMucG5n.jpg"></p>
<p>3)     <br />
输入角色名称，这里我们设置为“OSSReadOnly”，点击“创建”</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzExYWY4OTQ3MDFiMjIzODljZWZlN2Q2OGM1OGU1YzQ1NTM4NjdjMGMucG5n.jpg"></p>
<p>4)     <br />
点击“授权”-&gt;“编辑授权策略”，对角色进行授权</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ZhZjQ2MTQ4MWQ1ODYxZDY5OWVlM2YxNjU1OWMzMjkxMDAxYjZkNmYucG5n.jpg"></p>
<p>5)     <br />
选择“AliyunOSSReadOnlyAccess”，并点击“确定”。至此“ECS实例RAM角色”就创建并授权好了。</p>
<p>6)     <br />
进入阿里云ECS购买页面，在“RAM角色”中选择刚刚创建的“OSSReadOnly”，设定其他购买选项后，您购买的ECS实例即拥有了“OSSReadOnly”的角色</p>
<p>7)     <br />
远程连接进入实例，使用metadata（curl<br />
http://100.100.100.200/latest/meta-data/ram/security-credentials/OSSReadOnly）即可获得该角色所提供的STS Token信息：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzA3NjJhNWMxYzZhMzdiNGJiNmQ0NjE1YzE3ODZiMTJlYmUxYzYyYTIucG5n.jpg"></p>
<p>8)     <br />
使用所获取的Token，在ECS中利用OSS的OPENAPI来进行OSS信息的读取</p>
<p> </p>
<p>说明：</p>
<p>1.     <br />
不只是OSS，您还可以通过角色的权限控制，设置ECS在可控权限范围内访问阿里云的其他各类云资源</p>
<p>2.     <br />
若要为已创建的实例赋予RAM角色，您可在“ECS控制台的实例列表”中进行操作</p>
<p>3.     <br />
更多关于ECS实例角色的文档，请参考阿里云在线帮助：</p>
<p>a)      <br />
中文版</p>
<p>                    <br />
i.       关于ECS实例RAM角色</p>
<p>                  <br />
ii.        通过控制台使用实例RAM角色</p>
<p>                 <br />
iii.       通过OPENAPI使用实例RAM角色</p>
<p>                 <br />
iv.       实例RAM角色API实践</p>
<p>b)      <br />
英文版</p>
<p>                      i.        <a href="https://www.alibabacloud.com/help/doc-detail/54235.html" rel="external nofollow noreferrer">关于ECS实例RAM角色</a></p>
<p>                   ii.        <a href="https://www.alibabacloud.com/help/doc-detail/61175.html" rel="external nofollow noreferrer">通过控制台使用实例RAM角色</a></p>
<p>                  iii.       <a href="https://www.alibabacloud.com/help/doc-detail/61178.html" rel="external nofollow noreferrer">通过OPENAPI使用实例RAM角色</a></p>
<p>                  iv.       <a href="https://www.alibabacloud.com/help/doc-detail/54579.html" rel="external nofollow noreferrer">实例RAM角色API实践</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:38:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90/" title="权限">权限</a>, <a href="https://www.iamivan.net/tag/oss/" title="OSS">OSS</a>, <a href="https://www.iamivan.net/tag/ecs/" title="ECS">ECS</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="云服务器">云服务器</a>, <a href="https://www.iamivan.net/tag/%e8%a7%92%e8%89%b2/" title="角色">角色</a>, <a href="https://www.iamivan.net/tag/access/" title="access">access</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9c%e7%a8%8b%e8%bf%9e%e6%8e%a5/" title="远程连接">远程连接</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6%e5%8f%b0/" title="控制台">控制台</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%9c%8d%e5%8a%a1%e5%99%a8ecs/" title="云服务器ECS">云服务器ECS</a>, <a href="https://www.iamivan.net/tag/ram/" title="RAM">RAM</a>, <a href="https://www.iamivan.net/tag/openapi/" title="openapi">openapi</a>, <a href="https://www.iamivan.net/tag/sts/" title="sts">sts</a>, <a href="https://www.iamivan.net/tag/ram%e8%a7%92%e8%89%b2/" title="RAM角色">RAM角色</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在ECS中访问各类阿里云云资源的正确姿势的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b28Dv4p.html" rel="bookmark">如何利用函数计算获取临时token访问其他阿里云资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于一些用户来说,可能需要在网页,app等客户端可以操作阿里云资源,如上传文件到oss,但是用户又不想把自己的AK暴露出来,在本文中,实现用户不需要自己直接使用自己的AK来实现文件上传到oss的例子 主要步骤如下: 1,用户创建一个函数 get_sts,该函数如下: # -*- coding: utf-8 -*- def handler(event, context): response = { 'isBase64Encoded': False, 'statusCode': 200, 'head			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kAVBM.html" rel="bookmark">iis8中写权限和脚本资源访问权限在哪里设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 iis8中写权限和脚本资源访问权限在哪里设置 iis6中可以设置虚拟目录或应用程序的&quot;写权限&quot;和&quot;脚本资源访问权限&quot;,ii8在哪里设置这两个权限呢?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94Lg4b.html" rel="bookmark">访问动态链接库中的C&plus;&plus;类和资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面我们来介绍如何访问动态链接库中的C++类和资源.其具体操作步骤如下:(1)创建一个基于对话框的工程,工程名称为&quot;AccessDll&quot;.设计对话框资源如图1所示. 图1  对话框资源设计窗口(2)定义一个名称为CTextDlg的抽象类,因为需要访问动态链接库中的CTextDlg类,因此客户端需要定义一个框架,即抽象类CTextDlg.class CTextDlg             //定义抽象类CTextDlg{public: virtual void __stdcall Sho			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6QY1b.html" rel="bookmark">轻松使用阿里云资源编排，方便你的API管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11月初,阿里云ROS正式发布API 网关(API Gateway)资源,为云计算用户提供高性能.高可用的 API 托管服务,帮助用户对外开放其部署在 ECS.容器服务等阿里云产品上的应用,提供完整的 API 发布.管理.维护生命周期管理.用户只需进行简单的操作,即可快速.低成本.低风险地开放数据或服务. 用户只需要按照自己的需求,根据ROS的模板规范,定义自己的API管理模板,就可以轻轻松松实现API组的创建/更新,API的创建/更新,API的发布或者版本切换,以及API授权,签名,流控等等的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkGRr7p.html" rel="bookmark">告别繁荣缛节，阿里云资源编排支持API网关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云ROS的API 网关资源11月初正式上线,资源编排(ROS) 支持在模板中定义API 网关资源,助力用户快速.便捷管理发布自己的API.目前,阿里云ROS 产品免费提供给广大用户. 资源编排服务 (Resource Orchestration Service 简称 ROS) 是一款帮助阿里云用户简化云计算资源管理和自动化运维的服务.用户遵循 ROS 定义的模板规范,编写模板文件,在模板中定义所需云计算资源的集合及资源间的依赖关系.资源配置细节等,ROS 通过编排引擎自动完成所有资源的创建和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My39B4z.html" rel="bookmark">阿里云资源编排服务正式商业化 基础设施迎来自动化运维时代</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,阿里云资源编排ROS(Resource Orchestration)服务正式商业化,阿里云产品家族再添管理利器. 资源编排服务(以下简称ROS)支持用户通过模板文件定义所需的云资源,描述资源间的依赖关系和配置详情,并自动完成资源的创建和配置,以达到自动化部署.运维等目的. 作为一种自动化运维工具,阿里云ROS屏蔽了底层资源操作的复杂性,使得对基础设施资源的管理通过简单的代码就可以实现. 告别手工运维 DevOps加速普及 云服务的一大优势是能够按需获取IT资源,所以越来越多的用户把应用系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQ2XEp.html" rel="bookmark">通过命令行工具使用阿里云资源编排服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				资源编排ROS 是一种简单易用的云计算资源管理和自动化运维服务.用户通过模板描述多个云计算资源的依赖关系.配置等,并自动完成所有资源的创建和配置,以达到自动化部署.运维等目的. 了解更多 通过命令行工具使用阿里云资源编排服务 资源编排服务(ROS)支持用户通过模板文件定义所需的云资源,描述资源间的依赖关系和配置详情,并自动完成资源的创建和配置,以达到自动化部署.运维等目的. 作为一种自动化运维工具,阿里云ROS屏蔽了底层资源操作的复杂性,使得对基础设施资源的管理通过简单的代码就可以实现. 命令行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqxv4z.html" rel="bookmark">阿里云资源编排服务Python SDK使用入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云资源编排服务(ROS)为我们维护云计算资源提供了一个低成本.可靠.标准化的方案.基于ROS提供的能力,我们只要编写和维护资源模板文件,就可以达到维护云计算资源的目的,而不再需要花费很多的时间通过控制台来人肉配置.ROS为一些场景下的资源维护提供了不同的思路和可能性,比如很多需要大量临时计算资源的场景,使用ROS将使整个资源申请.应用构建.资源释放过程非常简单. ROS同时提供RESTful API和SDK,这使得我们可以很容易的把ROS对于资源的操作能力集成到我们的应用中.下面我们通过示例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqeL8b.html" rel="bookmark">阿里云资源编排服务 Java SDK使用入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云资源编排服务 Java SDK使用入门 安装依赖 添加Maven库 &lt;repositories&gt; &lt;repository&gt; &lt;id&gt;sonatype-nexus-staging&lt;/id&gt; &lt;name&gt;Sonatype Nexus Staging&lt;/name&gt; &lt;url&gt;https://oss.sonatype.org/service/local/staging/deploy/maven2/&lt;/url&gt; &			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ28Yz.html" rel="bookmark" class="title">阿里通功能与使用方法介绍</a>
					<div>
						一. 阿里通操作简易,功能强大. 界面人性化设计,拨打习惯与普通电话一致,一分钟让您轻松上手.其强大的功能展示,又让你觉得它简易却不简单.集网络电话.收发短信.在线回拨.通讯录.录音.彩话.常用小工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3EGwp.html" rel="bookmark" class="title">Ajax实现自动完成</a>
					<div>
						ajax  业务逻辑:文本框实现自动完成         引入prototype.js包     页面:autoComplete.jsp     &lt;%@ page contentType=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjN18b.html" rel="bookmark" class="title">JAVA加载类库的顺序</a>
					<div>
						加载 JAVA加载库的方法跟它的CLASSLOADER有关,不同的JVM有不同的CLASSLOADER.现介绍J2SDK自带的JVM的加载顺序. 首先,JAVA会跟据系统的参数CLASSPATH,把参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOEK8M.html" rel="bookmark" class="title">PHP中基于Linux的搜索引擎实现</a>
					<div>
						搜索引擎 搜索引擎是为用户提供快速获取网页信息的工具,其主要的功能是系统通过用户输入关键字,检索后端网页数据库,将相关网页的链接和摘要信息反馈给用户.从搜索的范围上一般分为站内网页搜索和全局网页搜索. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaRXNM.html" rel="bookmark" class="title">Photoshop教程&colon;调制枣红色调女孩照片</a>
					<div>
						今天我们介绍一篇人物照片调色教程,调出女孩儿照片的枣红色效果. 今天我们介绍一篇人物照片调色教程,调出女孩儿照片的枣红色效果. 最终效果图,如下:  打开图像  提取中间调和暗调后,拷贝,得到二个图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyL8Jb.html" rel="bookmark" class="title">用RealPlayer11录制音频和视频</a>
					<div>
						RealPlayer11可以将播放中的任何音频和视频录制到媒体库中.可以是具有明确开始和结束位置的点播媒体,例如歌曲.电影预告或 Internet 视频.甚至可以从直播流媒体(如直播电视网络广播)录制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxdDKb.html" rel="bookmark" class="title">演示PPT文档时常出现的问题与解决</a>
					<div>
						        Powerpoint作为一款常用的文档演示软件,人们都希望能将自己努力做完的文档,以最好的效果演示出来.下面介绍几个在演示PPT文档时,最容易碰到的问题及相对的解决方法. 1.解除鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy5adb.html" rel="bookmark" class="title">MySQL忘记密码处理方法解决办法</a>
					<div>
						MySQL忘记密码处理方法解决办法: 1.停止mysql服务.//打开命令行窗口,停止mysql服务: Net stop mysql 2.启动mysql,一般到mysql的安装路径,找到 mysqld ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4B09p.html" rel="bookmark" class="title">傲游手机浏览器新增头像随心换功能</a>
					<div>
						  个性化已经是新时代互联网最基本的需求,无论是手机.电脑,还是使用的软件,每个人都在追求独特的自我.在以往,这种需求往往通过更换软件皮肤.美化系统等方式实现.傲游则通过账户功能,将手机浏览器打上了& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBDDRz.html" rel="bookmark" class="title">百度工具栏垃圾清理有可能删除掉我需要的文件吗</a>
					<div>
						  百度工具栏采用的是保守的垃圾文件确认策略,删除的垃圾文件均是Windows认定的垃圾文件.因此,删除这些垃圾文件既不会删除掉您需要的任何文件,也不会对您系统的稳定性产生任何影响,可以放心使用. 百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AG0xz.html" rel="bookmark" class="title">业务安全漏洞挖掘归纳总结</a>
					<div>
						0x00 索引说明 6.30在OWASP的分享,关于业务安全的漏洞检测模型.进一步的延伸科普. 0x01 身份认证安全 1 暴力破解 在没有验证码限制或者一次验证码可以多次使用的地方,使用已知用户对密 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDK9ez.html" rel="bookmark" class="title">js如何实现打印功能，有模板，</a>
					<div>
						问题描述 js如何实现打印功能,有模板, 现在有个模板,比如快递订单的模板,在页面上有一些寄件人 收件人的一些信息,我点击 打印的时候,把这些内容打印到模板上,位置对应好,这该怎么实现?js能定位或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RGyvb.html" rel="bookmark" class="title">matlab 图像检测-用matlab做图像检测运行时</a>
					<div>
						问题描述 用matlab做图像检测运行时 出现错误显示 : Error using fileparts Too many output arguments. 请教大神! 解决方案 错误使用filepa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXWgBb.html" rel="bookmark" class="title">章子怡再登杂志封面造型摩登眼神魅惑</a>
					<div>
						近日,意大利时尚杂志&lt;MUSE&gt;推出以&quot;China Girl&quot;为主题的秋季刊,请来章子怡担任封面人物.章子怡以个性而典雅的装束演绎大片,造型摩登眼神魅惑. 章子怡再登杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvneaWM.html" rel="bookmark" class="title">腾讯组建证券事业部传闻</a>
					<div>
						&quot;腾讯的杀手锏包括把成本980元的L2软件供用户免费使用,这句话有水分,980元是个噱头,没有这么贵,成本不高,况且,现在阿猫阿狗都用L2数据,早就没什么效果了,说白了就是,L2数据本来就不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRlaOp.html" rel="bookmark" class="title">Zynga将关闭OMGPOP：不愿卖给创始人</a>
					<div>
						新浪科技讯 北京时间8月8日早间消息,据美国科技博客BusinessInsider报道,知情人士透露,游戏开发商OMGPOP创始人查尔斯•福尔曼(Charles Forman)及多位公司前高管希望重新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7ELQb.html" rel="bookmark" class="title">Js表格万条数据瞬间加载实现代码&lowbar;javascript技巧</a>
					<div>
						Js表格,万条数据瞬间加载 在Ajax动态加载数据的实际应用中,大家都习惯了一种思维方式:一条数据创建一行. 于是如果数量大的时候,一次性要加载完数据的话,浏览器就会卡上半天 受Flex的DataGr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nan9b.html" rel="bookmark" class="title">python实现linux服务器批量修改密码并生成execl&lowbar;python</a>
					<div>
						批量修改linux服务器密码,同时生成execl表格 复制代码 代码如下: #!/usr/bin/env python#coding:utf8#随机生成自定义长度密码from random impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq90ap.html" rel="bookmark" class="title">原生JS实现响应式瀑布流布局&lowbar;javascript技巧</a>
					<div>
						原生JS实现的瀑布流布局,代码及demo代码地址:https://github.com/leozdgao/responsive_waterfall Demo:http://leozdgao.githu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYBnAb.html" rel="bookmark" class="title">网站的用户价值体现网站的价值</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于一个网站来说,它对用户的价值体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkDNJz.html" rel="bookmark" class="title">学习WebService过程中&comma;遇到很多不懂的概念&comma;求帮助</a>
					<div>
						问题描述 公司要发布API , 然后学习WebService.接触到以下几个名次或概念.rest restful SOAP WSDL OAuth apache-cxf 等...我现在的理解:rest  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWYkZz.html" rel="bookmark" class="title">C&num;&comma;将excel导入sql 表里的时候，如何读取excel第一行标头的内容阿</a>
					<div>
						问题描述 C#,将excel导入sql表里的时候,如何读取excel第一行标头的内容阿.也就是指定单元格的内容.谢谢 解决方案 解决方案二:http://www.cnblogs.com/GodSpee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmwGNz.html" rel="bookmark" class="title">C&num;调用Delphi写的dll的问题。</a>
					<div>
						问题描述 有这样一个Delphi原型接口.声明如下TArrayOfByte=arrayofByte;functionGetTemplateFromFile(imgPath:PAnsiChar;varA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7A81p.html" rel="bookmark" class="title">T-Mobile成功部署华为智能分组核心网</a>
					<div>
						华为技术有限公司(&quot;华为&quot;)近日宣布其成功部署T-Mobile奥地利的分组核心网.华为领先的智能分组核心网满足了T-Mobile日益增长的移动宽带业务发展需要.此次交付比预期提前三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqPPgp.html" rel="bookmark" class="title">网购有了&OpenCurlyDoubleQuote;后悔药&rdquo; 电商紧急修改退换货政策</a>
					<div>
						新消法将于3月15日正式实施,其中首次对http://www.aliyun.com/zixun/aggregation/4815.html&quot;&gt;网购后悔权有了进一步规范,这让电商企业与消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAr8qp.html" rel="bookmark" class="title">Zebra&lowbar;Pagination 1&period;2发布 一个通用的PHP类</a>
					<div>
						Zebra_Pagination 1.2该版本为了避免重复的内容已不再包括第一页链接&quot;页&quot;参数.作了一些代码的优化. Zebra_Pagination 是一个通用的 PHP 类,用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK3yVWb.html" rel="bookmark" class="title">做啥网CEO：无法访问因备案问题 与资金无关</a>
					<div>
						11月15日消息,针对独立微博做啥网近日发生故障一事,做啥网CEO牟志坚对http://www.aliyun.com/zixun/aggregation/6149.html&quot;&gt;Tech ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdLJ7M.html" rel="bookmark" class="title">朱立南相信&OpenCurlyDoubleQuote;富而有道&rdquo;</a>
					<div>
						摘要: 联想投资总裁朱立南目不转睛地看着大屏幕,上面是自己11年前的照片. 这天是2001年9月30日,联想投资在北京成立的日子.当时我们在业内还没有什么名气,LP也只有联想控股一家.朱 联想投资总裁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6qVdLb.html" rel="bookmark" class="title">客厅新生代 夏新LC42W1液晶深度评测</a>
					<div>
						经过前两天对这款拥有夏新BT院线功能的LC42W1液晶电视的外观欣赏以后,想必大家都在期盼对这款电视更详细深度的评测,作为网络媒体,我们投影时代评测室人员也是迫不及待的想领略一番这款电视的精彩表现,同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zw517nM.html" rel="bookmark" class="title">Project euler 18题解答</a>
					<div>
						 By starting at the top of the triangle below and moving to adjacent numbers on the row below, the m ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
